Skip to main content
GET
/
public
/
v1
/
fixed-assets
/
{record_number}
Get Fixed Asset
curl --request GET \
  --url https://api.dualentry.com/public/v1/fixed-assets/{record_number}/ \
  --header 'X-API-KEY: <api-key>'
{
  "internal_id": 123,
  "number": 123,
  "company_id": 123,
  "company_name": "<string>",
  "name": "<string>",
  "serial_number": "<string>",
  "exchange_rate": "<string>",
  "purchase_date": "2023-12-25",
  "memo": "<string>",
  "cost": "<string>",
  "asset_account_number": 123,
  "expense_account_number": 123,
  "accumulation_account_number": 123,
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "vendor_id": 123,
  "vendor_name": "<string>",
  "fixed_asset_class_id": 123,
  "useful_life": 123,
  "salvage_value": "<string>",
  "depreciation_start_date": "2023-12-25",
  "accumulated_beginning_balance": "<string>",
  "accumulated_through": "2023-12-25",
  "custom_schedule": [
    {
      "value": "<string>",
      "period_count": 123
    }
  ],
  "classifications": [],
  "source_lines": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

Response

OK

internal_id
integer
required
number
integer
required
company_id
integer
required
company_name
string
required
name
string
required
serial_number
string
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
purchase_date
string<date>
required
memo
string
required
cost
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
status
enum<string>
required
Available options:
active,
inactive,
disposed,
fully_amortized
record_status
enum<string>
required
Available options:
draft,
posted,
archived
asset_account_number
integer
required
expense_account_number
integer
required
accumulation_account_number
integer
required
created_by
AuditActorSchemaOut · object

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object

Schema for audit actor information.

vendor_id
integer | null
vendor_name
string | null
fixed_asset_class_id
integer | null
useful_life
integer | null
salvage_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
depreciation_method
enum<string> | null
Available options:
straight_line,
straight_line_prorate_even,
declining_balance,
double_declining,
macrs_gds,
macrs_ads,
custom
depreciation_start_date
string<date> | null
convention
enum<string> | null
Available options:
mid_month,
half_month,
full_month,
mid_quarter,
half_year,
full_year
depreciation_frequency
enum<string> | null
Available options:
monthly,
yearly
accumulated_beginning_balance
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
accumulated_through
string<date> | null
custom_schedule
CustomDepreciationScheduleItemOut · object[] | null
custom_schedule_type
enum<string> | null
Available options:
cost_percentage,
net_book_value_percentage,
fixed_amount,
net_book_value_amount
classifications
RecordClassificationsSchemaOut · object[]
source_lines
PublicFixedAssetSourceOut · object[]
Last modified on May 29, 2026